### Hierarchy

- JsonService

## Index

### Methods

- parse
- stringify
- transformKeys

### Object literals

- options

## Methods

### parse

- parse(text: string, options?: IJsonParserOptions): any

- - Defined in src/services/JsonService.ts:92

  #### Parameters

  - ##### text: string

  - ##### Optional options: IJsonParserOptions

  #### Returns any

### stringify

- stringify(v: any, options?: IJsonParserOptions): string

- - Defined in src/services/JsonService.ts:123

  #### Parameters

  - ##### v: any

  - ##### Optional options: IJsonParserOptions

  #### Returns string

### transformKeys

- transformKeys(t: function, v: any): any

- - Defined in src/services/JsonService.ts:60

  #### Parameters

  - ##### t: function

    - - (ins: string): string

      - #### Parameters

        - ##### ins: string

        #### Returns string

  - ##### v: any

  #### Returns any

## Object literals

### options

options: object

- Defined in src/services/JsonService.ts:26

### dateConverter

dateConverter: object[] = [{regex: dateFormatISORegEx,valueConverter: {fromSource(v: string): DateTime {const d = new DateTime(v);// if (/z$/i.test(v)) {// d.setMinutes( d.getMinutes() - timeZoneDiff );// }return d;},fromTarget(v: Date): any {return v.toISOString();}}}, {regex: dateFormatMSRegEx,valueConverter: {fromSource(v: string): DateTime {const a = dateFormatMSRegEx.exec(v);const b = a[1].split(/[-+,.]/);return new DateTime(b[0] ? +b[0] : 0 - +b[1]);},fromTarget(v: Date): any {return v.toISOString();}}}]

- Defined in src/services/JsonService.ts:29

### indent

indent: number = 2

- Defined in src/services/JsonService.ts:27

### namingStrategy

namingStrategy: "none" = "none"

- Defined in src/services/JsonService.ts:28

Generated using TypeDoc